- Development Integration
- /
- SDK
- /
- Java
- /
Management module
- /
Manage data resources and permissions
- /
- Get permission space details
¶ Get permission space details
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.
Get permission space details through the permission space unique identifier (Code).
¶ Method Name
ManagementClient.getPermissionNamespace
¶ Request Parameters
| Name | Type | Is it required | Default Value | Description | Example Value |
|---|---|---|---|---|---|
| code | string | yes | - | permission space Code | examplePermissionNamespace |
¶ Sample Code
package test.management;
import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.GetPermissionNamespaceDto;
import cn.authing.sdk.java.dto.GetPermissionNamespaceResponseDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
public class GetPermissionNamespaceTest {
// Need to be replaced with your GenAuth Access Key ID
private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
// Need to be replaced with your GenAuth Access Key Secret
private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";
public static void main(String[] args) throws Throwable {
ManagementClientOptions clientOptions = new ManagementClientOptions();
clientOptions.setAccessKeyId(ACCESS_KEY_ID);
clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
// If you are a private deployment customer, you need to set the GenAuth service domain name
// clientOptions.setHost("https://api.your-authing-service.com");
ManagementClient client = new ManagementClient(clientOptions);
GetPermissionNamespaceDto request = new GetPermissionNamespaceDto();
request.setCode("examplePermissionNamespace");
GetPermissionNamespaceResponseDto response = client.getPermissionNamespace(request);
System.out.println(JsonUtils.serialize(response));
}
}
¶ Request Response
Type: GetPermissionNamespaceResponseDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. You can use this status code to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | GetPermissionNamespaceRespDto | Response data |
Example Results:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"code": "examplePermissionNamespace",
"name": "Example Permission Space",
"description": "Example Permission Space Description"
}
}
¶ Data Structure
¶ GetPermissionNamespaceRespDto
| Name | Type | Is it required | Description | Example Value |
|---|---|---|---|---|
| code | string | yes | permission space unique identifier | examplePermissionNamespace |
| name | string | yes | permission space Name | example permission space |
| description | string | no | permission space description | example permission space description |
